summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-07-22 23:07:18 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-07-22 23:07:18 +0000
commit8c35047c29ac15b27737a66da5a859232785bba4 (patch)
tree08f7279e1ddd4113c6226004bea1f8ebd509d835
parent3d914307351825793d0ee7eb64a8a18e70dbba22 (diff)
add an initscript
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@1536 3c298f89-4303-0410-b956-a3cf2f4a3e73
-rw-r--r--package/portmap/files/portmap.init16
1 files changed, 16 insertions, 0 deletions
diff --git a/package/portmap/files/portmap.init b/package/portmap/files/portmap.init
new file mode 100644
index 000000000..e1ed89a60
--- /dev/null
+++ b/package/portmap/files/portmap.init
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+BIN=portmap
+DEFAULT=/etc/default/$BIN
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ $BIN $OPTIONS
+ ;;
+ *)
+ echo "usage: $0 (start)"
+ exit 1
+esac
+
+exit $?